CovenDocs

Route a control-plane action

1 min read

POST
/actions

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/actions" \  -H "Content-Type: application/json" \  -d '{    "action": "coven.capabilities.refresh",    "origin": "coven-client",    "intentId": "refresh-1"  }'
{
  "ok": true,
  "accepted": true,
  "action": "coven.automations.health",
  "status": "completed",
  "event": {
    "kind": "automations.changed",
    "action": "coven.automations.health",
    "origin": "local-maintainer-tool",
    "intentId": "inspect-daily-notes-1",
    "payload": {
      "health": {
        "automationId": "daily-notes"
      }
    }
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "ok": false,
  "accepted": false,
  "action": "coven.automations.definition.activate.v1",
  "status": "rejected",
  "reason": "Automation mutations require owner-local IPC.",
  "error": {
    "code": "AUTHORITY_REQUIRED",
    "httpStatus": 403,
    "message": "Automation mutations require owner-local IPC.",
    "retryable": false
  }
}
{
  "error": {
    "code": "internal_error",
    "message": "Unexpected internal daemon error.",
    "details": {}
  }
}
Was this page helpful?No

Last updated on